Package de.gebit.integrity

## Class AbstractDSLRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - de.gebit.integrity.AbstractDSLRuntimeModule

- All Implemented Interfaces:
    `com.google.inject.Module`
  Direct Known Subclasses:
    `DSLRuntimeModule`

      public abstract class AbstractDSLRuntimeModule
      extends org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

  Manual modifications go to {de.gebit.integrity.DSLRuntimeModule}

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Properties` | `properties` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDSLRuntimeModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClassLoader` | `bindClassLoaderToInstance()` |
    `Class<? extends DSLJavaValidator>` | `bindDSLJavaValidator()` |
    `Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider>` | `bindIAllContainersState$Provider()` |
    `Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` | `bindIAntlrTokenFileProvider()` |
    `Class<? extends org.eclipse.xtext.resource.IContainer.Manager>` | `bindIContainer$Manager()` |
    `Class<? extends org.eclipse.xtext.formatting.IFormatter>` | `bindIFormatter()` |
    `Class<? extends org.eclipse.xtext.generator.IGenerator>` | `bindIGenerator()` |
    `Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider>` | `bindIGlobalScopeProvider()` |
    `Class<? extends org.eclipse.xtext.IGrammarAccess>` | `bindIGrammarAccess()` |
    `Class<? extends org.eclipse.xtext.parser.IParser>` | `bindIParser()` |
    `Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()` |
    `Class<? extends org.eclipse.xtext.scoping.IScopeProvider>` | `bindIScopeProvider()` |
    `Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer>` | `bindISemanticSequencer()` |
    `Class<? extends org.eclipse.xtext.serializer.ISerializer>` | `bindISerializer()` |
    `Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer>` | `bindISyntacticSequencer()` |
    `Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` | `bindITokenDefProvider()` |
    `Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` | `bindITokenToStringConverter()` |
    `Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` | `bindLexer()` |
    `void` | `configure​(com.google.inject.Binder binder)` |
    `void` | `configureFileExtensions​(com.google.inject.Binder binder)` |
    `void` | `configureIgnoreCaseLinking​(com.google.inject.Binder binder)` |
    `void` | `configureIResourceDescriptions​(com.google.inject.Binder binder)` |
    `void` | `configureIResourceDescriptionsPersisted​(com.google.inject.Binder binder)` |
    `void` | `configureIScopeProviderDelegate​(com.google.inject.Binder binder)` |
    `void` | `configureLanguageName​(com.google.inject.Binder binder)` |
    `void` | `configureRuntimeLexer​(com.google.inject.Binder binder)` |
    `com.google.inject.Provider<InternalDSLLexer>` | `provideInternalDSLLexer()` |

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureIsAffectedExtensions, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected Properties properties

  - ### Constructor Detail

    - #### AbstractDSLRuntimeModule

          public AbstractDSLRuntimeModule()

  - ### Method Detail

    - #### configure

          public void configure​(com.google.inject.Binder binder)

      Specified by:
        `configure` in interface `com.google.inject.Module`
      Overrides:
        `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureLanguageName

          public void configureLanguageName​(com.google.inject.Binder binder)

    - #### configureFileExtensions

          public void configureFileExtensions​(com.google.inject.Binder binder)

    - #### bindClassLoaderToInstance

          public ClassLoader bindClassLoaderToInstance()

      Overrides:
        `bindClassLoaderToInstance` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`

    - #### bindIGrammarAccess

          public Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

    - #### bindISemanticSequencer

          public Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer> bindISemanticSequencer()

      Overrides:
        `bindISemanticSequencer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindISyntacticSequencer

          public Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer> bindISyntacticSequencer()

    - #### bindISerializer

          public Class<? extends org.eclipse.xtext.serializer.ISerializer> bindISerializer()

      Overrides:
        `bindISerializer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIParser

          public Class<? extends org.eclipse.xtext.parser.IParser> bindIParser()

    - #### bindITokenToStringConverter

          public Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

      Overrides:
        `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIAntlrTokenFileProvider

          public Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

    - #### bindLexer

          public Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

    - #### provideInternalDSLLexer

          public com.google.inject.Provider<InternalDSLLexer> provideInternalDSLLexer()

    - #### configureRuntimeLexer

          public void configureRuntimeLexer​(com.google.inject.Binder binder)

    - #### bindITokenDefProvider

          public Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

      Overrides:
        `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindDSLJavaValidator

          public Class<? extends DSLJavaValidator> bindDSLJavaValidator()

    - #### bindIScopeProvider

          public Class<? extends org.eclipse.xtext.scoping.IScopeProvider> bindIScopeProvider()

      Overrides:
        `bindIScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureIScopeProviderDelegate

          public void configureIScopeProviderDelegate​(com.google.inject.Binder binder)

    - #### configureIgnoreCaseLinking

          public void configureIgnoreCaseLinking​(com.google.inject.Binder binder)

    - #### bindIQualifiedNameProvider

          public Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

      Overrides:
        `bindIQualifiedNameProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIContainer$Manager

          public Class<? extends org.eclipse.xtext.resource.IContainer.Manager> bindIContainer$Manager()

      Overrides:
        `bindIContainer$Manager` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIAllContainersState$Provider

          public Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider> bindIAllContainersState$Provider()

    - #### configureIResourceDescriptions

          public void configureIResourceDescriptions​(com.google.inject.Binder binder)

      Overrides:
        `configureIResourceDescriptions` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureIResourceDescriptionsPersisted

          public void configureIResourceDescriptionsPersisted​(com.google.inject.Binder binder)

    - #### bindIGenerator

          public Class<? extends org.eclipse.xtext.generator.IGenerator> bindIGenerator()

    - #### bindIFormatter

          public Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

      Overrides:
        `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIGlobalScopeProvider

          public Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider> bindIGlobalScopeProvider()

      Overrides:
        `bindIGlobalScopeProvider` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`